RadiusData.EnumType
Date: 2019-10-22

org.jmol.atomdata

## Enum RadiusData.EnumType

- java.lang.Object
- - java.lang.Enum<RadiusData.EnumType>
  - - org.jmol.atomdata.RadiusData.EnumType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RadiusData.EnumType>
  Enclosing class:
    RadiusData

      public static enum RadiusData.EnumType
      extends java.lang.Enum<RadiusData.EnumType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE`
    `FACTOR`
    `OFFSET`
    `SCREEN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RadiusData.EnumType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RadiusData.EnumType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final RadiusData.EnumType ABSOLUTE

    - #### OFFSET

          public static final RadiusData.EnumType OFFSET

    - #### FACTOR

          public static final RadiusData.EnumType FACTOR

    - #### SCREEN

          public static final RadiusData.EnumType SCREEN

  - ### Method Detail

    - #### values

          public static RadiusData.EnumType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RadiusData.EnumType c : RadiusData.EnumType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RadiusData.EnumType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null